# Uses of Interface
org.eclipse.gef.ui.palette.FlyoutPaletteComposite.FlyoutPreferences

Packages that use FlyoutPaletteComposite.FlyoutPreferences
Package
Description
org.eclipse.gef.ui.palette
org.eclipse.gef.ui.parts

## Uses of FlyoutPaletteComposite.FlyoutPreferences in org.eclipse.gef.ui.palette

Methods in org.eclipse.gef.ui.palette that return FlyoutPaletteComposite.FlyoutPreferences
Modifier and Type
Method
Description
`static FlyoutPaletteComposite.FlyoutPreferences`
FlyoutPaletteComposite.`createFlyoutPreferences(Preferences prefs)`
Deprecated, for removal: This API element is subject to removal in a future version.
Use `FlyoutPaletteComposite.createFlyoutPreferences(IPreferenceStore)` instead.
`static FlyoutPaletteComposite.FlyoutPreferences`
FlyoutPaletteComposite.`createFlyoutPreferences(IPreferenceStore prefs)`
This is a convenient method to get a default FlyoutPreferences object.
Constructors in org.eclipse.gef.ui.palette with parameters of type FlyoutPaletteComposite.FlyoutPreferences
Modifier
Constructor
Description
``
`FlyoutPaletteComposite(Composite parent, int style, IWorkbenchPage page, PaletteViewerProvider pvProvider, FlyoutPaletteComposite.FlyoutPreferences preferences)`
Constructor

## Uses of FlyoutPaletteComposite.FlyoutPreferences in org.eclipse.gef.ui.parts

Methods in org.eclipse.gef.ui.parts that return FlyoutPaletteComposite.FlyoutPreferences
Modifier and Type
Method
Description
`protected FlyoutPaletteComposite.FlyoutPreferences`
GraphicalEditorWithFlyoutPalette.`getPalettePreferences()`
By default, this method returns a FlyoutPreferences object that stores the flyout settings in the GEF plugin.